/*
 * Copyright 2007 Evan Cowden
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */
/**
 * <p>Tools for manipulating and creating Java manifests</p>
 * 
 * <p>For this package, a manifest is represented as a collection of key-value
 * pairs ({@code Map<String, String>}).</p>
 * 
 * <p><i>Builder</i> classes in this package have one or more static methods
 * that accept an existing map and add additional entries.  Entries that already
 * exist in the map are skipped.</p>
 */
package org.nakedosgi.manifest;

